> ## Documentation Index
> Fetch the complete documentation index at: https://docs.perquery.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List crawled pages

> Returns the pages that the content crawl found. Use `search` to filter by URL or title. The list is paged with `page` and `page_size`.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/sites/{site_uuid}/content/pages
openapi: 3.0.3
info:
  title: Perquery API
  version: 1.0.0
  description: Read-only access to the data of your Perquery organization.
servers:
  - url: https://perquery.ai/api
security:
  - apiKey: []
paths:
  /v1/sites/{site_uuid}/content/pages:
    get:
      tags:
        - Content analysis
      summary: List crawled pages
      description: >-
        Returns the pages that the content crawl found. Use `search` to filter
        by URL or title. The list is paged with `page` and `page_size`.
      operationId: list_pages
      parameters:
        - in: query
          name: page
          schema:
            type: integer
            minimum: 1
            default: 1
        - in: query
          name: page_size
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
        - in: query
          name: search
          schema:
            type: string
            nullable: true
            maxLength: 200
        - in: path
          name: site_uuid
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PageList'
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    PageList:
      type: object
      properties:
        pages:
          type: array
          items:
            $ref: '#/components/schemas/Page'
        total:
          type: integer
          default: 0
        page:
          type: integer
          default: 1
        page_size:
          type: integer
          default: 0
      required:
        - pages
    Page:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        url:
          type: string
        path:
          type: string
        title:
          type: string
          nullable: true
        meta_description:
          type: string
          nullable: true
        content_format:
          $ref: '#/components/schemas/ContentFormat'
        has_structured_data:
          type: boolean
        last_crawled_at:
          type: string
          format: date-time
          nullable: true
      required:
        - content_format
        - has_structured_data
        - last_crawled_at
        - meta_description
        - path
        - title
        - url
        - uuid
    ContentFormat:
      enum:
        - blog
        - listicle
        - faq
        - product
        - other
      type: string
      description: |-
        * `blog` - blog
        * `listicle` - listicle
        * `faq` - faq
        * `product` - product
        * `other` - other
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: '`ApiKey pq_<prefix>_<secret>`. An API key gives read-only access.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.